<div class="m-portlet__body">

    <template v-if="search.columns.length > 0">

        <div v-for="(chunk, index) in search.columns" class="row m--margin-bottom-20">

            <div v-for="(input, i) in chunk" :class="'col-lg-' + (chunk.length === 3 ? '4' : '3') + ' m--margin-bottom-10-tablet-and-mobile'">
                <label>{{ input.label }}</label>

                <template v-if="input.type === 'select'">

                    <select-component v-model="input.value" :data="input.values" :init="input.default"></select-component>

                </template>

                <template v-if="input.type === 'text'">

                    <input v-model="input.value" type="text" class="form-control m-input" :placeholder="input.placeholder">

                </template>
            </div>
        </div>
        <div class="m-separator m-separator--md m-separator--dashed"></div>
        <div class="row">
            <div class="col-lg-12">
                <button class="btn btn-brand m-btn m-btn--icon" id="m_search" @click="submitSearch" :disabled="loadingStatus">
                <span>
                    <i class="la la-search"></i>
                    <span>Search</span>
                </span>
                </button>
                &nbsp;&nbsp;
                <button class="btn btn-secondary m-btn m-btn--icon" id="m_reset" @click="resetSearch" :disabled="loadingStatus">
                <span>
                    <i class="la la-close"></i>
                    <span>Reset</span>
                </span>
                </button>
            </div>
        </div>
    </template>

    <data-tables-server :data="table.data"
                        :filters="table.filters"
                        :table-props="table.tableProps"
                        :total="table.total"
                        :action-col="table.actionCol"
                        :current-page="table.currentPage"
                        :page-size="table.pageSize"
                        :pagination-props="table.paginationProps"
                        :loading="dataTableLoading"
                        :key="resetComponentKey"
                        @query-change="queryChange">

        <slot name="custom"></slot>

        <el-table-column v-for="title in table.customTitles"
                         :key="title.prop"
                         :prop="title.prop"
                         :label="title.label"
                         :sortable="typeof title.sortable === 'undefined' ? true : title.sortable">

            <template slot-scope="scope">

                <image-component v-if="title.type == 'image'" :src="scope.row[title.prop]"></image-component>

            </template>

        </el-table-column>

        <el-table-column v-for="title in table.titles"
                         :key="title.prop"
                         :prop="title.prop"
                         :label="title.label"
                         :formatter="title.formatter"
                         :sortable="typeof title.sortable === 'undefined' ? true : title.sortable">
        </el-table-column>

    </data-tables-server>
</div>